Package twisted :: Package conch :: Package ssh :: Module service :: Class SSHService

[frames | no frames]

## Class SSHService

Known Subclasses:
  `SSHConnection`

Method Summary
| ``packetReceived`(self, messageType, packet)` called when we receieve a packet on the transport
| ``serviceStarted`(self)` called when the service is active on the transport.
| ``serviceStopped`(self)` called when the service is stopped, either by the connection ending or by another service being started

Class Variable Summary
`NoneType` | `name` = None
`dict` | `protocolMessages` = `{}`
`NoneType` | `transport` = None

Method Details

### packetReceived(self, messageType, packet)

called when we receieve a packet on the transport

### serviceStarted(self)

called when the service is active on the transport.

### serviceStopped(self)

called when the service is stopped, either by the connection ending or by another service being started

Class Variable Details

### name

  Type:
    `NoneType`
  Value:

        None

### protocolMessages

  Type:
    `dict`
  Value:

        {}

### transport

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:00 2004 | http://epydoc.sf.net